Page MenuHomeSolus

Fix rundeps for pyenchant
ClosedPublic

Authored by algent on Feb 3 2020, 4:05 PM.

Details

Summary

Use correct rundeps by replacing enchant with enchant16.
This package needs enchant16-devel with pkgconfig(enchant) as build dependency and so the correct run dependency should be enchant16.

Fixes T8668

Signed-off-by: Algent Albrahimi <algent@protonmail.com>

Test Plan

Check speelling for rednotebook and cherrytree.

Diff Detail

Repository
R2507 pyenchant
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

algent created this revision.Feb 3 2020, 4:05 PM
algent requested review of this revision.Feb 3 2020, 4:05 PM
algent added a comment.Feb 3 2020, 4:08 PM

enchant16 is run dependency of php which is required by arcanist.
I think this is the reason why developers haven't noticed this before.

algent planned changes to this revision.Feb 5 2020, 8:49 AM

Need rebase and rebuild against python-3.7

algent updated this revision to Diff 19582.Feb 5 2020, 5:28 PM

Rebase and bump

DataDrake accepted this revision.Feb 6 2020, 5:35 PM
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

This revision is now accepted and ready to land.Feb 6 2020, 5:35 PM
This revision was automatically updated to reflect the committed changes.